# Some tests use the network.
%bcond_with network

%global goipath         github.com/libgit2/git2go
%global commit          c9f7fd544d3991bd26c400b3c227673bcada42cc

%gometa

Name:           %{goname}
Version:        0
Release:        0.26.1%{?dist}
Summary:        Git to Go; bindings for libgit2
License:        MIT
URL:            %{gourl}
Source0:        %{gosource}
%if ! %{with network}
Patch0001:      0001-Skip-tests-that-use-the-network.patch
%endif

%description
%{summary}


%package devel
Summary:       %{summary}
BuildArch:     noarch

BuildRequires: (pkgconfig(libgit2) >= 0.26 with pkgconfig(libgit2) < 0.27)
Requires:      (pkgconfig(libgit2) >= 0.26 with pkgconfig(libgit2) < 0.27)

%description devel
%{summary}

This package contains library source intended for building other packages which
use import path with %{goipath} prefix.


%prep
%forgeautosetup -p1


%install
%goinstall


%check
%gochecks


%files devel -f devel.file-list
%doc README.md
%license LICENSE


%changelog
* Fri Feb 22 2019 Elliott Sales de Andrade <quantum.analyst@gmail.com> - 0-0.26.1.20190223gitc9f7fd5
- First package for Fedora
